Skip to main content
GET
/
api
/
v1
/
teams
/
{team_id}
/
api-keys
List Api Keys
curl --request GET \
  --url https://api.member.dev/api/v1/teams/{team_id}/api-keys \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "attributes": {
        "created_by": "<string>",
        "key_prefix": "<string>",
        "name": "<string>",
        "scopes": [
          "<string>"
        ],
        "created_at": "2023-11-07T05:31:56Z",
        "expires_at": "2023-11-07T05:31:56Z",
        "last_used_at": "2023-11-07T05:31:56Z",
        "revoked_at": "2023-11-07T05:31:56Z",
        "updated_at": "2023-11-07T05:31:56Z"
      },
      "id": "<string>",
      "type": "<string>",
      "links": {
        "self": "<string>"
      },
      "meta": {},
      "relationships": {}
    }
  ],
  "included": [
    "<unknown>"
  ],
  "links": {
    "next": "<string>",
    "self": "<string>"
  },
  "meta": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

team_id
string
required

Query Parameters

page[after]
string | null

Cursor — ID of the last item on the previous page.

page[size]
integer
default:20
Required range: 1 <= x <= 100

Response

Successful Response

data
JsonApiResource[ApiKeyAttributes] · object[]
required
included
any[] | null
meta
Meta · object